go-bindata(8)

NAME
go-bindata - embed data in a Go program

SYNOPSIS
go-bindata [options] input [input ...]

DESCRIPTION
go-bindata converts any file into manageable Go source code. It is useful for embedding binary data into a Go program. The file data is optionally gzip compressed before being converted to a raw byte slice.

input is an input directory containing the assets to incorporate. If suffixed by /... it will be searched recursively.

The options are as follows:

-debug
    Do not embed the assets, but provide the embedding API. Contents will still be loaded from disk.

-nocompress
    Assets will *not* be GZIP compressed when this flag is specified.

-nomemcopy
    Use a .rodata hack to get rid of unnecessary memcopies. Refer to the documentation to see what implications this carries.

-pkg package
    Package name to use in the generated code.

-prefix prefix
    Optional path prefix to strip off asset names.

-o  Name of the output file to be generated.

-tags tags
    Optional set of build tags to include.

AUTHORS
-nosplit The go-bindata program was written by Jim Teeuwen.